Star Wars Droids App Device Compatibility

Updated 1 week ago by Micah Daby

The Star Wars Droids app works with the following Sphero robots:

  • BB-8
  • BB-8 Special Edition
  • BB-9E, R2-2D
  • R2-Q5

The Star Wars Droids app works with many iOS and Android mobile devices using Bluetooth Low Energy (BLE 4.0). Specific operating systems and device requirements are as follows:

iOS

Device Model

OS Version

iPad 3+

iOS 9+

iPhone 4S+    

iOS 9+

iPod Touch 5th Generation +

iOS 9+

Android

Android devices, while running Android 5.0 or higher, must also have the following hardware support in order to use all features:

  • Bluetooth LE (4.0)
  • Camera
  • Microphone
  • Touchscreen
  • Hardware sensors including gyroscope and accelerometer
  • Wi-Fi capabilities
Even though some older Android devices may meet the requirements described above, they may not be fully compatible due to variation in the quality of Bluetooth hardware.
A word from the creators of Sphero:
We have hacked, modded and manipulated nearly every piece of hardware we have owned. That being said, we know some customers have done the same. We are working very hard to support as many devices and software versions as we can, but if you have a custom ROM for your Android device or a jailbroken iPhone you may experience issues that we have not accounted for in the public release.


How did we do?


Powered by HelpDocs